Target version:

Difficulty: Fixed in Releases: 2.5.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-for
eman/pull/928
Description
Related issues:
Blocks Foreman - Tracker #29777: Drop passenger support Closed

Associated revisions

Revision 0dc29a37 - 04/13/2021 03:35 PM - Ewoud Kohl van Wijngaarden
Fixes #29780 - Drop Passenger support

With Foreman 2.5, support to run with Passenger (technically
mod_passenger) is dropped in favor of using Puma with a reverse proxy.

This also moves the request headers part of settings.yaml to a concat
fragment to simplify some code.

It keeps in code to remove tfm-rubygem-passenger-native on EL7 which it
previously didn't do, but is nice to do. It doesn't remove mod_passenger
itself since that's not managed in this module.

Revision 7a6bb052 - 04/13/2021 03:35 PM - Ewoud Kohl van Wijngaarden
Refs #29780 - Drop FOREMAN_BIND handling
In Foreman 2.4 FOREMAN_BIND was dropped and now Puma builds bind

statements based on inherited sockets from systemd. That means it's no
longer needed to match them. This gives a lot more freedom.

This PR chooses to remove the foreman.socket override if Apache is not

enabled. This then uses the default ListenStream from the socket, which
happens to be 0.0.0.0:3000 today but we don't really care.

History

#1 - 05/13/2020 12:33 PM - Eric Helms
- Blocks Tracker #29777: Drop passenger support added

#2 - 03/31/2021 09:17 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman/pull/928 added

#3 - 04/13/2021 03:35 PM - The Foreman Bot
- Fixed in Releases 2.5.0 added

#4 - 04/13/2021 04:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|0dc29a379323050ce42a7035fd6dd2d1d7{2371.
